Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.contexts
Class FacesLifecycle

    java.lang.Object
      org.jboss.seam.contexts.FacesLifecycle

    public class FacesLifecycle

extends Object

Methods for setup and teardown of Seam contexts at the beginning and end of JSF requests.

Author:
  Gavin King, Thomas Heute
See Also:
  `SeamPhaseListener`

Constructor Summary
`FacesLifecycle()`

Method Summary
`static void` | `beginExceptionRecovery(javax.faces.context.ExternalContext externalContext)`
`static void` | `beginRequest(javax.faces.context.ExternalContext externalContext)`
`static void` | `clearPhaseId()`
`static void` | `endRequest(javax.faces.context.ExternalContext externalContext)`
`static javax.faces.event.PhaseId` | `getPhaseId()`
`static void` | `resumeConversation(javax.faces.context.ExternalContext externalContext)`
`static void` | `resumePage()`
`static void` | `setPhaseId(javax.faces.event.PhaseId phase)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesLifecycle

    public FacesLifecycle()

Method Detail

### setPhaseId

    public static void setPhaseId(javax.faces.event.PhaseId phase)

### getPhaseId

    public static javax.faces.event.PhaseId getPhaseId()

### clearPhaseId

    public static void clearPhaseId()

### beginRequest

    public static void beginRequest(javax.faces.context.ExternalContext externalContext)

### beginExceptionRecovery

    public static void beginExceptionRecovery(javax.faces.context.ExternalContext externalContext)

### endRequest

    public static void endRequest(javax.faces.context.ExternalContext externalContext)

### resumeConversation

    public static void resumeConversation(javax.faces.context.ExternalContext externalContext)

### resumePage

    public static void resumePage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.